
Robot Control Interface - Bug #1374
RCI trunk doesn't build on Mac
01/30/2013 01:38 PM - Anonymous

Status: Resolved Start date: 01/30/2013
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Software Estimated time: 0.00 hour
Target version: rci0.4
Description

RCI trunk doesn't build on Mac, since clang doesn't want compiler option -std=c++0x:

Building CXX object CMakeFiles/gmock.dir/gmock-1.6.0/src/gmock-all.cc.o
cc1plus: error: unrecognized command line option "-std=c++0x" 
make[2]: *** [CMakeFiles/gmock.dir/gmock-1.6.0/src/gmock-all.cc.o] Error 1
make[1]: *** [CMakeFiles/gmock.dir/all] Error 2
make: *** [all] Error 2

Related issues:
Related to Robot Control Interface - Bug # 1506: call to implicitly-deleted c... New 05/22/2013
Related to Robot Control Interface - Bug # 1007: Cannot compile with clang on... Closed 06/19/2012

History
#1 - 01/30/2013 04:28 PM - S. Wrede
- Status changed from New to Feedback
- Assignee changed from S. Wrede to Anonymous

This is a clang option which is not know to gcc. Please check if clang is used as the C++ compiler. An example for this is the CCA build job. There it is
selected via a CMake flag.

#2 - 08/12/2013 02:04 PM - Anonymous
- Target version set to rci0.4

#3 - 09/02/2013 11:18 AM - Anonymous
- Category set to Software
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

Fixed upstream in #1510
